/* ===== Header allgemein ===== */  

/* Header allgemein Columns */  

.site-header {
    position: sticky;
    top: 0;
    z-index: 1000;
    width: 100%;
	background-color: var(--headerBackground);
}

.header-columns {
    display: grid;
    grid-template-columns: auto 1fr auto auto;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    padding: 10px 10px;
    gap: 20px;
}

.header-logo img {
    display: block;
    height: 80px;
    width: auto;
}

/* Header Headline / Navigtion */  

.header-center {
	position: relative;
    left: 50%;
	text-align: center;
    white-space: nowrap;
    transform: translateX(-50%);
    color: var(--menueTitle);
}

.header-center-nav {
    position: relative;
    justify-content: flex-end;
    text-align: center;
    white-space: nowrap;
    display: flex;
}

.nav-link a {
    text-transform: uppercase;
    color: var(--menueLinks);
    padding: 15px 25px 15px 25px;
    text-decoration:none;
    border: 2px solid transparent;
    border-radius: 25px;
}

.nav-link a:hover {
    color: color-mix(in srgb,  var(--menueLinks) 50%, transparent );
    border-color: var(--menueLinks);
}

.nav-link a:active {
    border-color: var(--link-border-color);
}
.nav-hh-link {
    color: var(--menueLinks);
}

.nav-hh-link a:hover {
    color: color-mix(in srgb,  var(--menueLinks) 50%, transparent );
}

/* Header Headline / Sprachauswahl */  

.header-language {
    position: relative;
    z-index: 1200;
}

.language-button {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 7px 12px;
    border: 1px solid;
	border-color: transparent;
    border-radius: 8px;
    background: transparent;
    color: var(--dropbox-Link);
    cursor: pointer;
}

.language-button img {
    width: 24px;
    height: 24px;
    object-fit: cover;
}

/* Aufgeklapptes Menü */

.language-menu {
    position: absolute;
    top: calc(100% + 8px);
    right: 0;
    min-width: 180px;
    padding: 6px;
    background: var(--headerBackground);
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
    z-index: 1300;
}

/* Einzelne Sprache */

.language-menu a {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 7px 10px;
    color: var(--dropbox-Link);
    text-decoration: none;
    border-radius: 5px;
}

.language-menu a:hover {
    background: rgba(255, 255, 255, 0.1);
}

.language-menu img {
    width: 24px;
    height: 24px;
    object-fit: cover;
}